Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2703653004: [WebAgentsAPI]: Start adding support for method arguments. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months ago by dglazkov
Modified:
7 months ago
Reviewers:
haraken, bashi, Yuki
CC:
blink-reviews, blink-reviews-bindings_chromium.org, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[WebAgentsAPI]: Start adding support for method arguments. To make the C++ API more natural/elegant to use, I decided to rely on method overloads to handle union and optional types, thus generating more than one C++ function for each IDL operation. Includes: * Basic handling of optional and union types in arguments. * Plumbing for template contexts to include arguments. * Minor reshufflings of related code. BUG=683743 R=bashi,yuki,haraken Review-Url: https://codereview.chromium.org/2703653004 Cr-Commit-Position: refs/heads/master@{#458057} Committed: https://chromium.googlesource.com/chromium/src/+/912f7ad6383cc7aa987c66cee8bb23c75c45685c

Patch Set 1 #

Patch Set 2 : Rebased. #

Total comments: 4

Patch Set 3 : Comments addressed. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+296 lines, -15 lines) Patch
M third_party/WebKit/Source/bindings/scripts/code_generator_web_agent_api.py View 1 2 3 chunks +100 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/bindings/scripts/code_generator_web_agent_api_test.py View 1 2 6 chunks +189 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/bindings/templates/web_agent_api_interface.cc.tmpl View 1 1 chunk +5 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/bindings/tests/results/core/test_interface_3.cc View 1 1 chunk +2 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 34 (18 generated)
dglazkov
PTAL.
8 months ago (2017-02-18 17:37:41 UTC) #8
haraken
bashi, yukishiino: Should we probably reuse the "overload resolution algorithm" for web agent APIs as ...
8 months ago (2017-02-19 02:32:24 UTC) #9
haraken
On 2017/02/19 02:32:24, haraken wrote: > bashi, yukishiino: Should we probably reuse the "overload resolution ...
8 months ago (2017-02-19 02:34:26 UTC) #10
dglazkov
On 2017/02/19 at 02:34:26, haraken wrote: > On 2017/02/19 02:32:24, haraken wrote: > > bashi, ...
8 months ago (2017-02-19 04:30:12 UTC) #11
haraken
On 2017/02/19 04:30:12, dglazkov wrote: > On 2017/02/19 at 02:34:26, haraken wrote: > > On ...
8 months ago (2017-02-19 04:51:54 UTC) #12
bashi
On 2017/02/19 04:51:54, haraken wrote: > On 2017/02/19 04:30:12, dglazkov wrote: > > On 2017/02/19 ...
8 months ago (2017-02-19 23:00:48 UTC) #13
Yuki
On 2017/02/19 23:00:48, bashi wrote: > On 2017/02/19 04:51:54, haraken wrote: > > On 2017/02/19 ...
8 months ago (2017-02-20 02:39:52 UTC) #14
dglazkov
I accept this yak shave.
8 months ago (2017-02-20 02:58:20 UTC) #15
dglazkov
On 2017/02/20 at 02:58:20, dglazkov wrote: > I accept this yak shave. 3 weeks later... ...
7 months, 1 week ago (2017-03-18 00:06:56 UTC) #16
dglazkov
Rebased.
7 months, 1 week ago (2017-03-18 02:39:04 UTC) #17
haraken
> I am not sure the effective_overload_set algorithm is the right fit for C++ > ...
7 months, 1 week ago (2017-03-18 16:30:17 UTC) #22
dglazkov
Comments addressed.
7 months ago (2017-03-20 03:24:52 UTC) #23
dglazkov
https://codereview.chromium.org/2703653004/diff/20001/third_party/WebKit/Source/bindings/scripts/code_generator_web_agent_api.py File third_party/WebKit/Source/bindings/scripts/code_generator_web_agent_api.py (right): https://codereview.chromium.org/2703653004/diff/20001/third_party/WebKit/Source/bindings/scripts/code_generator_web_agent_api.py#newcode98 third_party/WebKit/Source/bindings/scripts/code_generator_web_agent_api.py:98: lists. This is the where the actual splitting into ...
7 months ago (2017-03-20 03:25:33 UTC) #26
haraken
LGTM
7 months ago (2017-03-20 03:27:38 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2703653004/40001
7 months ago (2017-03-20 14:21:44 UTC) #31
commit-bot: I haz the power
7 months ago (2017-03-20 14:27:03 UTC) #34
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/912f7ad6383cc7aa987c66cee8bb...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa